package ch.rakudave.jnetmap.view.jung;

import java.awt.geom.Point2D;

import edu.uci.ics.jung.visualization.Layer;
import edu.uci.ics.jung.visualization.VisualizationServer;
import edu.uci.ics.jung.visualization.control.CrossoverScalingControl;
import edu.uci.ics.jung.visualization.transform.MutableTransformer;

public class ResettableScaler extends CrossoverScalingControl {	
	public void reset(VisualizationServer<?,?> vv, Point2D at) {
		MutableTransformer layoutTransformer = vv.getRenderContext().getMultiLayerTransformer().getTransformer(Layer.LAYOUT);
	    MutableTransformer viewTransformer = vv.getRenderContext().getMultiLayerTransformer().getTransformer(Layer.VIEW);
	    layoutTransformer.setToIdentity();
	    viewTransformer.setToIdentity();
	}
}
